/// @cond EO_CXX_EO_IMPL

inline void elm::photocam::image_region_show(int x_, int y_, int w_, int h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_region_show(x_, y_, w_, h_));
}

inline bool elm::photocam::paused_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_paused_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::photocam::paused_set(bool paused_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_paused_set(::efl::eolian::to_c(paused_)));
}

inline bool elm::photocam::gesture_enabled_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_gesture_enabled_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::photocam::gesture_enabled_set(bool gesture_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_gesture_enabled_set(::efl::eolian::to_c(gesture_)));
}

inline double elm::photocam::zoom_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_zoom_get());
   return _tmp_ret;
}

inline void elm::photocam::zoom_set(double zoom_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_zoom_set(zoom_));
}

inline Elm_Photocam_Zoom_Mode elm::photocam::zoom_mode_get() const
{
   Elm_Photocam_Zoom_Mode _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_zoom_mode_get());
   return _tmp_ret;
}

inline void elm::photocam::zoom_mode_set(Elm_Photocam_Zoom_Mode mode_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_zoom_mode_set(mode_));
}

inline void elm::photocam::image_region_get(int* x_, int* y_, int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_region_get(x_, y_, w_, h_));
}

inline ::evas::object elm::photocam::internal_image_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_internal_image_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::photocam::image_size_get(int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_size_get(w_, h_));
}

inline Evas_Image_Orient elm::photocam::image_orient_get() const
{
   Evas_Image_Orient _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_image_orient_get());
   return _tmp_ret;
}

inline void elm::photocam::image_orient_set(Evas_Image_Orient orient_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_orient_set(orient_));
}

inline void eo_cxx::elm::photocam::image_region_show(int x_, int y_, int w_, int h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_region_show(x_, y_, w_, h_));
}

inline bool eo_cxx::elm::photocam::paused_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_paused_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::photocam::paused_set(bool paused_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_paused_set(::efl::eolian::to_c(paused_)));
}

inline bool eo_cxx::elm::photocam::gesture_enabled_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_gesture_enabled_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::photocam::gesture_enabled_set(bool gesture_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_gesture_enabled_set(::efl::eolian::to_c(gesture_)));
}

inline double eo_cxx::elm::photocam::zoom_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_zoom_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::photocam::zoom_set(double zoom_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_zoom_set(zoom_));
}

inline Elm_Photocam_Zoom_Mode eo_cxx::elm::photocam::zoom_mode_get() const
{
   Elm_Photocam_Zoom_Mode _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_zoom_mode_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::photocam::zoom_mode_set(Elm_Photocam_Zoom_Mode mode_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_zoom_mode_set(mode_));
}

inline void eo_cxx::elm::photocam::image_region_get(int* x_, int* y_, int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_region_get(x_, y_, w_, h_));
}

inline ::evas::object eo_cxx::elm::photocam::internal_image_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_internal_image_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::photocam::image_size_get(int* w_, int* h_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_size_get(w_, h_));
}

inline Evas_Image_Orient eo_cxx::elm::photocam::image_orient_get() const
{
   Evas_Image_Orient _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_photocam_image_orient_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::photocam::image_orient_set(Evas_Image_Orient orient_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_photocam_image_orient_set(orient_));
}

inline ::eo_cxx::elm::photocam::operator ::elm::photocam() const
{
   return *static_cast<::elm::photocam const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::photocam::operator ::elm::photocam&()
{
   return *static_cast<::elm::photocam*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::photocam::operator ::elm::photocam const&() const
{
   return *static_cast<::elm::photocam const*>(static_cast<void const*>(this));
}

template <typename T>
void elm_photocam_image_region_show_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int x_, int y_, int w_, int h_)
{
   try
      {
         static_cast<T*>(self->this_)->image_region_show(x_, y_, w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_photocam_paused_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->paused_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_photocam_paused_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool paused_)
{
   try
      {
         static_cast<T*>(self->this_)->paused_set(::efl::eolian::to_cxx<bool>(paused_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_photocam_gesture_enabled_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->gesture_enabled_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_photocam_gesture_enabled_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool gesture_)
{
   try
      {
         static_cast<T*>(self->this_)->gesture_enabled_set(::efl::eolian::to_cxx<bool>(gesture_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_photocam_zoom_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->zoom_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_photocam_zoom_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double zoom_)
{
   try
      {
         static_cast<T*>(self->this_)->zoom_set(zoom_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Elm_Photocam_Zoom_Mode elm_photocam_zoom_mode_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->zoom_mode_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Photocam_Zoom_Mode _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_photocam_zoom_mode_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Photocam_Zoom_Mode mode_)
{
   try
      {
         static_cast<T*>(self->this_)->zoom_mode_set(mode_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_photocam_image_region_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int* x_, int* y_, int* w_, int* h_)
{
   try
      {
         static_cast<T*>(self->this_)->image_region_get(x_, y_, w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::evas::object elm_photocam_internal_image_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->internal_image_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Object * _tmp_ret{};
         return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_photocam_image_size_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int* w_, int* h_)
{
   try
      {
         static_cast<T*>(self->this_)->image_size_get(w_, h_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Evas_Image_Orient elm_photocam_image_orient_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->image_orient_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Image_Orient _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_photocam_image_orient_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Evas_Image_Orient orient_)
{
   try
      {
         static_cast<T*>(self->this_)->image_orient_set(orient_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::photocam >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::widget >::template type<T>
         , virtual operations< ::elm_interface_scrollable >::template type<T>
         , virtual operations< ::elm_interface_atspi_widget_action >::template type<T>
         , virtual operations< ::efl::file >::template type<T>
         , virtual operations< ::evas::clickable_interface >::template type<T>
         , virtual operations< ::evas::scrollable_interface >::template type<T>
         , virtual operations< ::evas::zoomable_interface >::template type<T>
   {
      virtual void image_region_show(int x_, int y_, int w_, int h_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_image_region_show(x_, y_, w_, h_));
      }

      virtual bool paused_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_paused_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void paused_set(bool paused_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_paused_set(::efl::eolian::to_c(paused_)));
      }

      virtual bool gesture_enabled_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_gesture_enabled_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void gesture_enabled_set(bool gesture_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_gesture_enabled_set(::efl::eolian::to_c(gesture_)));
      }

      virtual double zoom_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_zoom_get());
            return _tmp_ret;
      }

      virtual void zoom_set(double zoom_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_zoom_set(zoom_));
      }

      virtual Elm_Photocam_Zoom_Mode zoom_mode_get()
      {
         Elm_Photocam_Zoom_Mode _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_zoom_mode_get());
            return _tmp_ret;
      }

      virtual void zoom_mode_set(Elm_Photocam_Zoom_Mode mode_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_zoom_mode_set(mode_));
      }

      virtual void image_region_get(int* x_, int* y_, int* w_, int* h_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_image_region_get(x_, y_, w_, h_));
      }

      virtual ::evas::object internal_image_get()
      {
         Evas_Object * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_internal_image_get());
            return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void image_size_get(int* w_, int* h_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_image_size_get(w_, h_));
      }

      virtual Evas_Image_Orient image_orient_get()
      {
         Evas_Image_Orient _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_photocam_image_orient_get());
            return _tmp_ret;
      }

      virtual void image_orient_set(Evas_Image_Orient orient_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_photocam_image_orient_set(orient_));
      }

   };
};


template<>
struct operation_description_class_size< ::elm::photocam >
{
   static constexpr int value = 
#if defined(PHOTOCAM_PROTECTED) && defined(PHOTOCAM_BETA)
      14
#elif defined(PHOTOCAM_PROTECTED)
      14
#elif defined(PHOTOCAM_BETA)
      14
#else
      14
#endif
      + operation_description_class_size<::elm::widget >::value      + operation_description_class_size<::elm_interface_scrollable >::value      + operation_description_class_size<::elm_interface_atspi_widget_action >::value      + operation_description_class_size<::efl::file >::value      + operation_description_class_size<::evas::clickable_interface >::value      + operation_description_class_size<::evas::scrollable_interface >::value      + operation_description_class_size<::evas::zoomable_interface >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::photocam>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_image_region_show_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_image_region_show);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_paused_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_paused_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_paused_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_paused_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_gesture_enabled_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_gesture_enabled_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_gesture_enabled_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_gesture_enabled_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_zoom_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_zoom_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_zoom_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_zoom_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_zoom_mode_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_zoom_mode_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_zoom_mode_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_zoom_mode_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_image_region_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_image_region_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_internal_image_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_internal_image_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_image_size_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_image_size_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_image_orient_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_image_orient_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_photocam_image_orient_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_photocam_image_orient_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::widget>(), &ops[operation_description_class_size< ::elm::photocam >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_scrollable>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_atspi_widget_action>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::efl::file>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::clickable_interface>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value + operation_description_class_size<::efl::file>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::scrollable_interface>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value + operation_description_class_size<::efl::file>::value + operation_description_class_size<::evas::clickable_interface>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::evas::zoomable_interface>(), &ops[operation_description_class_size< ::elm::photocam >::value + operation_description_class_size<::elm::widget>::value + operation_description_class_size<::elm_interface_scrollable>::value + operation_description_class_size<::elm_interface_atspi_widget_action>::value + operation_description_class_size<::efl::file>::value + operation_description_class_size<::evas::clickable_interface>::value + operation_description_class_size<::evas::scrollable_interface>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::photocam>)
{
   return (ELM_PHOTOCAM_CLASS);
}

} } }

/// @endcond

